#318 dbus security policy prevents pgld from connecting

PeerGuardian_Linux
closed
jre-phoenix
None
5
2012-11-11
2012-03-30
jre-phoenix
No

See http://ubuntuforums.org/showthread.php?t=1946746 by DataSpy

The log file /var/log/pgl/pgld.log output is:
Mar 25 10:56:19 ERROR: Error requesting name Connection ":1.49" is not allowed to own the service "org.netfilter.pgl" due to security policies in the configuration file.
Mar 25 10:56:19 ERROR: Cannot initialize D-Bus
Mar 25 10:56:25 ERROR: Error requesting name Connection ":1.50" is not allowed to own the service "org.netfilter.pgl" due to security policies in the configuration file.
Mar 25 10:56:25 ERROR: Cannot initialize D-Bus

Discussion

  • freemind
    freemind
    2012-04-07

    The file "org.netfilter.pgl.conf" should be installed in "/etc/dbus-1/system.d/" and is currently being installed in "/usr/local/etc/dbus-1/system.d/" in my machine, by default.
    Executing the following command should fix the issue:
    "sudo mv /usr/local/etc/dbus-1/system.d/org.netfilter.pgl.conf /etc/dbus-1/system.d/"

     
  • hasufell
    hasufell
    2012-04-07

    That is not really a bug, but the way autotools works:
    http://www.gnu.org/prep/standards/html_node/Directory-Variables.html

    do "./configure --sysconfdir=/etc"

    I am not sure if it's possible to redefine the defaults of those variables at all, cause the user is meant to control them when running configure anyway.

     
  • hasufell
    hasufell
    2012-04-07

    If you really see that as an issue I can work around it, i.e. define an additional variable which is "/etc" if that dir exists and falls back to $sysconfdir otherwise

     
  • jre-phoenix
    jre-phoenix
    2012-06-09

    Closed (pending). The documentation now states that --sysconfdir=/etc is recommended.
    pgl really needs to be installed correctly in the system to work flawlessly!